Bug 814703 - [abrt] turpial-1.6.9-1.fc16: loginlabel.py:58:expose:TypeError: Context.text_path: text must be str or unicode
[abrt] turpial-1.6.9-1.fc16: loginlabel.py:58:expose:TypeError: Context.text_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: turpial (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Edwind Richzendy Contreras Soto
Fedora Extras Quality Assurance
abrt_hash:064dba10b7f248c8370883af1f7...
:
: 886391 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 09:22 EDT by Augusto
Modified: 2013-02-13 16:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 16:37:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Augusto 2012-04-20 09:22:01 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/bin/turpial
executable:     /usr/bin/turpial
kernel:         3.3.1-5.fc16.x86_64
reason:         loginlabel.py:58:expose:TypeError: Context.text_path: text must be str or unicode
time:           Fri 20 Apr 2012 08:17:28 AM CDT
uid:            1000
username:       zero

backtrace:
:loginlabel.py:58:expose:TypeError: Context.text_path: text must be str or unicode
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/turpial/ui/gtk/loginlabel.py", line 58, in expose
:    cr.text_path(self.error)
:TypeError: Context.text_path: text must be str or unicode
:
:Local variables in innermost frame:
:cr: <gtk.gdk.CairoContext object at 0x7fc95f643eb0>
:widget: <LoginLabel object at 0x2eff5a0 (GtkDrawingArea at 0x2bbc6c0)>
:event: <gtk.gdk.Event at 0x2e832b0: GDK_EXPOSE area=[0, 0, 280, 25]>
:rect: gtk.gdk.Rectangle(20, 207, 280, 25)
:self: <LoginLabel object at 0x2eff5a0 (GtkDrawingArea at 0x2bbc6c0)>

smolt_data:
:
:
:General
:=================================
:UUID: 83a41697-a63b-4edf-9345-32c810e36b84
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3590.79
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T7100  @ 1.80GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 1801
:System Memory: 1994
:System Swap: 4063
:Vendor: Dell Inc.
:System: Latitude D630 
:Form factor: Portable
:Kernel: 3.3.1-5.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10752:4136:505) pci, agpgart-intel, HOST/PCI, Mobile PM965/GM965/GL960 Memory Controller Hub
:(32902:10302:4136:505) pci, i801_smbus, SERIAL, 82801H (ICH8 Family) SMBus Controller
:(32902:10280:4136:505) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) SATA IDE Controller
:(32902:10320:4136:505) pci, ata_piix, STORAGE, 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller
:(32902:10261:4136:505) pci, None, PCI/ISA, 82801HEM (ICH8M) LPC Interface Controller
:(5348:5747:4136:505) pci, tg3, ETHERNET, NetXtreme BCM5755M Gigabit Ethernet PCI Express
:(32902:16930:32902:4128) pci, iwl3945, NETWORK, PRO/Wireless 3945ABG [Golan] Network Connection
:(32902:9288:4136:505) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10289:4136:505) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #2
:(32902:10288:4136:505) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #1
:(4631:247:4136:505) pci, firewire_ohci, FIREWIRE, Firewire (IEEE 1394)
:(32902:10290:4136:505) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #3
:(4631:28981:4136:505) pci, yenta_cardbus, PCI/CARDBUS, Cardbus bridge
:(32902:10298:4136:505) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #2
:(32902:10754:4136:505) pci, i915, VIDEO, Latitude D630
:(32902:10755:4136:505) pci, None, VIDEO, Mobile GM965/GL960 Integrated Graphics Controller (secondary)
:(32902:10303:4136:505) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 1
:(32902:10305:4136:505) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 2
:(32902:10315:4136:505) pci, snd_hda_intel, MULTIMEDIA, Dell Latitude D630
:(32902:10292:4136:505) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #4
:(32902:10293:4136:505) pci, uhci_hcd, USB, 82801H (ICH8 Family) USB UHCI Controller #5
:(32902:10313:4136:505) pci, pcieport, PCI/PCI, 82801H (ICH8 Family) PCI Express Port 6
:(32902:10294:4136:505) pci, ehci_hcd, USB, 82801H (ICH8 Family) USB2 EHCI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_iron-lv_root / ext4 4096 4096 21816264 13818606 13600290 5464064 5262655 5262655
:/dev/sda1 /boot ext4 1024 1024 508745 409767 384167 128016 127780 127780
:
Comment 1 Edwind Richzendy Contreras Soto 2013-01-01 14:24:06 EST
*** Bug 886391 has been marked as a duplicate of this bug. ***
Comment 2 Edwind Richzendy Contreras Soto 2013-01-01 14:33:46 EST
it's happen when you run turpial for first time? or when turpial is in use?
Comment 3 Michele Baldessari 2013-01-03 03:45:23 EST
Hi Edwind,

it happened when it was in use. Although it has happened only a single time and
I have been using it daily since a couple of months.

So definitely not easily reproduceable for me

cheers,
Michele
Comment 4 Fedora End Of Life 2013-01-16 12:12:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 16:37:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.